it.csi.mddtools.guigen

## Enum RepartModuleTypes

- java.lang.Object
- - java.lang.Enum<RepartModuleTypes>
  - - it.csi.mddtools.guigen.RepartModuleTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RepartModuleTypes>, org.eclipse.emf.common.util.Enumerator

      public enum RepartModuleTypes
      extends java.lang.Enum<RepartModuleTypes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Repart Module Types', and utility methods for working with them.
  See Also:
    `GuigenPackage.getRepartModuleTypes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JAVA` The 'Java' literal object
    `JAVASCRIPT` The 'Javascript' literal object
    `WEBRES` The 'Webres' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JAVA_VALUE` The 'Java' literal value
    `static int` | `JAVASCRIPT_VALUE` The 'Javascript' literal value
    `static java.util.List<RepartModuleTypes>` | `VALUES` A public read-only list of all the 'Repart Module Types' enumerators
    `static int` | `WEBRES_VALUE` The 'Webres' literal value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepartModuleTypes` | `get(int value)` Returns the 'Repart Module Types' literal with the specified integer value
    `static RepartModuleTypes` | `get(java.lang.String literal)` Returns the 'Repart Module Types' literal with the specified literal value
    `static RepartModuleTypes` | `getByName(java.lang.String name)` Returns the 'Repart Module Types' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static RepartModuleTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RepartModuleTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA

          public static final RepartModuleTypes JAVA

      The 'Java' literal object.
      See Also:
        `JAVA_VALUE`

    - #### WEBRES

          public static final RepartModuleTypes WEBRES

      The 'Webres' literal object.
      See Also:
        `WEBRES_VALUE`

    - #### JAVASCRIPT

          public static final RepartModuleTypes JAVASCRIPT

      The 'Javascript' literal object.
      See Also:
        `JAVASCRIPT_VALUE`

  - ### Field Detail

    - #### JAVA_VALUE

          public static final int JAVA_VALUE

      The 'Java' literal value.

      If the meaning of 'Java' literal object isn't clear, there really should be more of a description here...

      See Also:
        `JAVA`, Constant Field Values

    - #### WEBRES_VALUE

          public static final int WEBRES_VALUE

      The 'Webres' literal value.

      If the meaning of 'Webres' literal object isn't clear, there really should be more of a description here...

      See Also:
        `WEBRES`, Constant Field Values

    - #### JAVASCRIPT_VALUE

          public static final int JAVASCRIPT_VALUE

      The 'Javascript' literal value.

      If the meaning of 'Javascript' literal object isn't clear, there really should be more of a description here...

      See Also:
        `JAVASCRIPT`, Constant Field Values

    - #### VALUES

          public static final java.util.List<RepartModuleTypes> VALUES

      A public read-only list of all the 'Repart Module Types' enumerators.

  - ### Method Detail

    - #### values

          public static RepartModuleTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepartModuleTypes c : RepartModuleTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepartModuleTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static RepartModuleTypes get(java.lang.String literal)

      Returns the 'Repart Module Types' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static RepartModuleTypes getByName(java.lang.String name)

      Returns the 'Repart Module Types' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static RepartModuleTypes get(int value)

      Returns the 'Repart Module Types' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<RepartModuleTypes>`